Option Explicit

  Const ForWriting = 2
  Dim fso
  Dim MyFile
  Dim objTele
  Dim Msg

Sub Main

  'Connect to the telescope
  Set objTele = WScript.CreateObject("RASCOM.RASCOMTele.1")
  objTele.Connect()

  'Open file for output
  Set fso = CreateObject("Scripting.FileSystemObject")
  Set MyFile = fso.OpenTextFile("z:\out\telradec.txt", ForWriting, True)
    
  'Test connection and exit on error
  if (objTele.IsConnected = 0) then
    MyFile.WriteLine "Telescope RA and Dec not available"
    MyFile.Close
    WScript.Quit
  end if  
  
  'Get RA and Dec 
  objTele.GetRaDec()

  'Write RA and Dec to the file and close
  Msg = " " + CStr(objTele.dRa) + ", " + CStr(objTele.dDec)
  MyFile.WriteLine Msg
  MyFile.Close
  
  'Disconnect from the telescope
  objTele.Disconnect()
  Set objTele = Nothing
  Set MyFile = Nothing
  
End Sub

Main
