' Windows Script Host Sample Script
'
' ------------------------------------------------------------------------
'               Copyright (C) Software Bisque
'
' ------------------------------------------------------------------------


L_Welcome_MsgBox_Message_Text    = "This script demonstrates how to access the Telescope using the Windows Scripting Host."
L_Welcome_MsgBox_Title_Text      = "Windows Scripting Host Sample"
Call Welcome()
    
' ********************************************************************************
' *
' * Sample
' *
Dim objTele
Dim Msg

'Create the telescope object
Set objTele = WScript.CreateObject("TheSkyX.RASCOMTele.1")

'Connect to the telescope
objTele.Connect()

'See if connection failed
if (objTele.IsConnected = 0) then
	MsgBox("Connection failed.")
	WScript.Quit
end if

'Get and show the current telescope ra, dec
objTele.GetRaDec()
Msg = "Ra,Dec =" + CStr(objTele.dRa) + "," + CStr(objTele.dDec)
MsgBox(Msg)

'Get and show the current telescope az, alt
objTele.GetAzAlt()
Msg = "Az,Alt=" + CStr(objTele.dAz) + "," + CStr(objTele.dAlt)
MsgBox(Msg)

'Disconnect the telscope
objTele.Disconnect()
Set objTele = Nothing


' ********************************************************************************
' *
' * Welcome
' *
Sub Welcome()
    Dim intDoIt

    intDoIt =  MsgBox(L_Welcome_MsgBox_Message_Text, _
                      vbOKCancel + vbInformation,    _
                      L_Welcome_MsgBox_Title_Text )
    If intDoIt = vbCancel Then
        WScript.Quit
    End If
End Sub

