' Windows Script Host Sample Script
'
' ------------------------------------------------------------------------
'               Copyright (C) Software Bisque
'
' ------------------------------------------------------------------------

Option Explicit

Dim L_Welcome_MsgBox_Message_Text
Dim L_Welcome_MsgBox_Title_Text

L_Welcome_MsgBox_Message_Text    = "This script demonstrates how to set the TheSky's time and location using the Windows Scripting Host."
L_Welcome_MsgBox_Title_Text      = "Windows Scripting Host Sample"
Call Welcome()
    
' ********************************************************************************
' *
' * Sample
' *
Dim objTheSky
Dim Msg
Dim Object

Dim dJD
Dim nDST
Dim dTZ
Dim dElev
Dim bUseComputerClock 
Dim dLat
Dim dLong
Dim szLoc

dJD					= 2452066.00'=06/05/2001, ignored if UseCompterClock=1
nDST				= 17		'17=North America time zone
dTZ					= 7			'MST
dElev				= 1000		'meters
bUseComputerClock	= 1			'1=Yes 0=No
dLat				= 39.5
dLong				= 105.5
szLoc				= "Location from script"


	'Create the TheSky object
	Set objTheSky = WScript.CreateObject("RASCOM.RASCOMTheSky.1")

	Call objTheSky.Connect()

	Call objTheSky.SetWhenWhere(dJD,nDST,bUseComputerClock, szLoc, dLong, dLat, dTZ, dElev)

	Call objTheSky.Disconnect()

Set objTheSky = Nothing



' ********************************************************************************
' *
' * Welcome
' *
Sub Welcome()
    Dim intDoIt

    intDoIt =  MsgBox(L_Welcome_MsgBox_Message_Text, _
                      vbOKCancel + vbInformation,    _
                      L_Welcome_MsgBox_Title_Text )
    If intDoIt = vbCancel Then
        WScript.Quit
    End If
End Sub

